package com.zaojiao.app.data.repo

import com.zaojiao.app.data.model.UserModel
import kotlinx.coroutines.flow.Flow

interface UserRepository {
    val user: Flow<UserModel?>

    val fansCount: Flow<Int>

    val followerCount: Flow<Int>

    val phoneNumber: Flow<String?>

    val wechatState: Flow<Boolean>

    suspend fun getUser()

    suspend fun updateUser(userModel: UserModel)

    suspend fun deleteUser()
}